# This is the global settings for all the worlds, if a world have his own settings file it will overwrite these settings for the world.

# Creepers
CreeperControl:
    Enabled: true
    DestroyWorld: false
    EnableExplosionSound: true
    EnableExplosionSmoke: true
    CanSpawn: true
    CanTargetPlayer: true
    CanTargetMob: true
    DamagePlayers: true
    DamageMobs: true
    PoweredByLightning: true
    # Only enable these settings if you are between two levels (you must enable 'EnableBetweenLevels' to use it).
    EnableBetweenLevels:
        Enabled: false
        MinLevel: 64
        MaxLevel: 256
        
# Fireballs
FireballControl:
    Enabled: false
    DestroyWorld: true
    EnableExplosionSound: true
    EnableExplosionSmoke: true
    GhastsCanSpawn: true
    GhastCanTargetPlayer: true
    GhastCanTargetMob: true
    # Only enable these settings if you are between two levels (you must enable 'EnableBetweenLevels' to use it).
    EnableBetweenLevels:
        Enabled: false
        MinLevel: 0
        MaxLevel: 256
        
# Blazes
BlazeControl:
    Enabled: false
    CanSpawn: true
    CanTargetPlayer: true
    CanTargetMob: true
    DamagePlayers: true
    DamageMobs: true
    # Only enable these settings if you are between two levels (you must enable 'EnableBetweenLevels' to use it).
    EnableBetweenLevels:
        Enabled: false
        MinLevel: 0
        MaxLevel: 256

# TNT blocks
TNTControl:
    Enabled: false
    DestroyWorld: false
    EnableExplosionSound: true
    EnableExplosionSmoke: true
    CanPlaceTNT: true
    DamagePlayers: true
    DamageMobs: true
    # Only enable these settings if you are between two levels (you must enable 'EnableBetweenLevels' to use it).
    EnableBetweenLevels:
        Enabled: false
        MinLevel: 0
        MaxLevel: 256

EndermanControl:
    Enabled: false
    CanPlaceBlock: false
    CanPickupBlock: false
    # If an endermen wants to pickup a block, and he can't, don't break the block but the endermen get a clone of that block in his hands
    CanCloneBlock: true
    # If an endermen wants to place a block, and he can't, don't place anything but remove the holding block out of his hands
    ClearHandsOnPlace: true
    CanSpawn: true
    CanTeleport: true
    CanTargetPlayer: true
    CanTargetMob: true
    DamagePlayers: true
    DamageMobs: true
    # Only enable these settings if you are between two levels (you must enable 'EnableBetweenLevels' to use it).
    EnableBetweenLevels:
        Enabled: false
        MinLevel: 0
        MaxLevel: 256
        
# EnderDragon
EnderDragonControl:
    Enabled: true
    DestroyWorld: false
    EnableExplosionSound: true
    EnableExplosionSmoke: true
    CanSpawn: true
    CanTargetPlayer: true
    CanTargetMob: true
    DamagePlayers: true
    DamageMobs: true
    # Only enable these settings if you are between two levels (you must enable 'EnableBetweenLevels' to use it).
    EnableBetweenLevels:
        Enabled: false
        MinLevel: 64
        MaxLevel: 256

FireControl:
    Enabled: false
    EnableBlockFire: true
    FireSpread: true
    DamagePlayers: true
    DamageMobs: true
    # Only enable these settings if you are between two levels (you must enable 'EnableBetweenLevels' to use it).
    EnableBetweenLevels:
        Enabled: false
        MinLevel: 0
        MaxLevel: 256

FlintAndSteelControl:
    Enabled: false
    EnableFlintAndSteel: true
    # Only enable these settings if you are between two levels (you must enable 'EnableBetweenLevels' to use it).
    EnableBetweenLevels:
        Enabled: false
        MinLevel: 0
        MaxLevel: 256

LightningControl:
    Enabled: false
    IgniteBlocks: true
    DamagePlayers: true
    DamageMobs: true
    # Only enable these settings if you are between two levels (you must enable 'EnableBetweenLevels' to use it).
    EnableBetweenLevels:
        Enabled: false
        MinLevel: 0
        MaxLevel: 256

WaterControl:
    Enabled: false
    CanPlaceWater: true
    WaterSpread: true
    PlayerDrowning: true
    MobDowning: true
    # Only enable these settings if you are between two levels (you must enable 'EnableBetweenLevels' to use it).
    EnableBetweenLevels:
        Enabled: false
        MinLevel: 0
        MaxLevel: 256

LavaControl:
    Enabled: false
    LavaFire: true
    CanPlaceLava: true
    LavaSpread: true
    DamagePlayers: true
    DamageMobs: true
    # Only enable these settings if you are between two levels (you must enable 'EnableBetweenLevels' to use it).
    EnableBetweenLevels:
        Enabled: false
        MinLevel: 0
        MaxLevel: 256

OtherExplosions:
    Enabled: false
    DestroyWorld: true
    EnableExplosionSound: true
    EnableExplosionSmoke: true
    # Only enable these settings if you are between two levels (you must enable 'EnableBetweenLevels' to use it).
    EnableBetweenLevels:
        Enabled: false
        MinLevel: 0
        MaxLevel: 256